%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define section free

%global reltag _redhat_1
%global meadversion %{version}.Final_redhat_1
%global mavenversion %{version}.Final-redhat-1

%global mavengroup org.jboss.spec.javax.el
%global artifact0 %{name}

%global title Expression Language 2.2 API

%define maven_version 1.0.2.Final-redhat-1

Name:    jboss-el-api_2.2_spec
Version: 1.0.2
Release: 2.Final%{reltag}%{?dist}
Epoch:   0

License: GNU Library or "Lesser" General Public License version 2.1 (LGPL-2.1)
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.el-jboss-el-api_2.2_spec-1.0.2.Final-redhat-1-sources.zip
Source101: org.jboss.spec.javax.el-jboss-el-api_2.2_spec-1.0.2.Final-redhat-1-patches.zip
Source102: jboss-el-api_2.2_spec-1.0.2.Final-redhat-1.jar
Source103: jboss-el-api_2.2_spec-1.0.2.Final-redhat-1-sources.jar
Source104: jboss-el-api_2.2_spec-1.0.2.Final-redhat-1-javadoc.jar
Source105: jboss-el-api_2.2_spec-1.0.2.Final-redhat-1.pom
%endif

URL:     https://github.com/jboss/jboss-el-api_spec/


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
The Expression Language 2.2 API classes.

%if %without mead
%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java

Requires: jpackage-utils

%description sources
Sources of %{title}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%if %without mead
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

%if %without mead
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*
%if %without mead
%exclude %{_javadir}*/*-javadoc.jar
%exclude %{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%endif
%{_mavenpomdir}/*
%{_mavendepmapfragdir}

%if %without mead
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*
%{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-2.Final_redhat_1
- Rebuild for MD5

* Tue Aug 21 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-2.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.Final_redhat_2.2
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-6.Final_redhat_2
- Populate java-signed

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-6.Final_redhat_1
- Fix install path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.0-5_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.0-4_redhat_1
- Resign with new signature
- Build wrapper separately

* Wed Sep 07 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-3_redhat_1
- Rebuild from git repository
- Removed non-MEAD stuff from spec file
- Included regular javadoc and sources RPMs

* Thu Sep 01 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-2_redhat_1
- Fixed pom version back

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1_redhat_1
- Build for Werewolf

* Fri Jul 29 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1
- Adapt for EAP 6
- no repolib when building with MEAD

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
